## e-cal-component-organizer

e-cal-component-organizer — An ECalComponentOrganizer structure

## Functions

ECalComponentOrganizer * | e_cal_component_organizer_new ()
ECalComponentOrganizer * | e_cal_component_organizer_new_full ()
ECalComponentOrganizer * | e_cal_component_organizer_new_from_property ()
ECalComponentOrganizer * | e_cal_component_organizer_copy ()
void | e_cal_component_organizer_free ()
void | e_cal_component_organizer_set_from_property ()
ICalProperty * | e_cal_component_organizer_get_as_property ()
void | e_cal_component_organizer_fill_property ()
const gchar * | e_cal_component_organizer_get_value ()
void | e_cal_component_organizer_set_value ()
const gchar * | e_cal_component_organizer_get_sentby ()
void | e_cal_component_organizer_set_sentby ()
const gchar * | e_cal_component_organizer_get_cn ()
void | e_cal_component_organizer_set_cn ()
const gchar * | e_cal_component_organizer_get_language ()
void | e_cal_component_organizer_set_language ()
ECalComponentParameterBag * | e_cal_component_organizer_get_parameter_bag ()

## Types and Values

| ECalComponentOrganizer

## Object Hierarchy

        GBoxed
        ╰── ECalComponentOrganizer

## Includes

    #include <libecal/libecal.h>

## Description

Contains functions to work with the ECalComponentOrganizer structure.

## Functions

### e_cal_component_organizer_new ()

    ECalComponentOrganizer *
    e_cal_component_organizer_new (void);

Creates a new empty ECalComponentOrganizer structure. Free it with `e_cal_component_organizer_free()`, when no longer needed.

#### Returns

a newly allocated ECalComponentOrganizer.

[transfer full]

Since: 3.34

### e_cal_component_organizer_new_full ()

    ECalComponentOrganizer *
    e_cal_component_organizer_new_full (const gchar *value,
                                        const gchar *sentby,
                                        const gchar *cn,
                                        const gchar *language);

Creates a new ECalComponentOrganizer structure, with all members filled with given values from the parameters. The `NULL` and empty strings are treated as unset the value. Free the structure with `e_cal_component_organizer_free()`, when no longer needed.

#### Parameters

value | usually a "mailto:email" of the organizer. | [nullable]
sentby | sent by. | [nullable]
cn | common name. | [nullable]
language | language. | [nullable]

#### Returns

a newly allocated ECalComponentOrganizer.

[transfer full]

Since: 3.34

### e_cal_component_organizer_new_from_property ()

    ECalComponentOrganizer *
    e_cal_component_organizer_new_from_property
                                   (const ICalProperty *property);

Creates a new ECalComponentOrganizer, filled with values from `property` , which should be of kind `I_CAL_ORGANIZER_PROPERTY`. The function returns `NULL` when it is not of the expected kind. Free the structure with `e_cal_component_organizer_free()`, when no longer needed.

#### Parameters

property | an ICalProperty of kind `I_CAL_ORGANIZER_PROPERTY` |

#### Returns

a newly allocated ECalComponentOrganizer.

[transfer full][nullable]

Since: 3.34

### e_cal_component_organizer_copy ()

    ECalComponentOrganizer *
    e_cal_component_organizer_copy (const ECalComponentOrganizer *organizer);

Returns a newly allocated copy of `organizer` , which should be freed with `e_cal_component_organizer_free()`, when no longer needed.

#### Parameters

organizer | an ECalComponentOrganizer. | [not nullable]

#### Returns

a newly allocated copy of `organizer` .

[transfer full]

Since: 3.34

### e_cal_component_organizer_free ()

    void
    e_cal_component_organizer_free (gpointer organizer);

Free `organizer` , previously created by `e_cal_component_organizer_new()`, `e_cal_component_organizer_new_full()`, `e_cal_component_organizer_new_from_property()` or `e_cal_component_organizer_copy()`. The function does nothing, if `organizer` is `NULL`.

[skip]

#### Parameters

organizer | an ECalComponentOrganizer to free. | [type ECalComponentOrganizer][nullable]

Since: 3.34

### e_cal_component_organizer_set_from_property ()

    void
    e_cal_component_organizer_set_from_property
                                   (ECalComponentOrganizer *organizer,
                                    const ICalProperty *property);

Fill the `organizer` structure with the information from the `property` , which should be of `I_CAL_ORGANIZER_PROPERTY` kind.

#### Parameters

organizer | an ECalComponentOrganizer |
property | an ICalProperty |

Since: 3.34

### e_cal_component_organizer_get_as_property ()

    ICalProperty *
    e_cal_component_organizer_get_as_property
                                   (const ECalComponentOrganizer *organizer);

Converts information stored in `organizer` into an ICalProperty of `I_CAL_ORGANIZER_PROPERTY` kind. The caller is responsible to free the returned object with `g_object_unref()`, when no longer needed.

#### Parameters

organizer | an ECalComponentOrganizer |

#### Returns

a newly created ICalProperty, containing information from the `organizer` .

[transfer full]

Since: 3.34

### e_cal_component_organizer_fill_property ()

    void
    e_cal_component_organizer_fill_property
                                   (const ECalComponentOrganizer *organizer,
                                    ICalProperty *property);

Fill `property` with information from `organizer` . The `property` should be of kind `I_CAL_ORGANIZER_PROPERTY`.

#### Parameters

organizer | an ECalComponentOrganizer |
property | an ICalProperty. | [inout][not nullable]

Since: 3.34

### e_cal_component_organizer_get_value ()

    const gchar *
    e_cal_component_organizer_get_value (const ECalComponentOrganizer *organizer);

#### Parameters

organizer | an ECalComponentOrganizer |

#### Returns

the `organizer` URI, usually of "mailto:email" form.

[nullable]

Since: 3.34

### e_cal_component_organizer_set_value ()

    void
    e_cal_component_organizer_set_value (ECalComponentOrganizer *organizer,
                                         const gchar *value);

Set the `organizer` URI, usually of "mailto:email" form. The `NULL` and empty strings are treated as unset the value.

#### Parameters

organizer | an ECalComponentOrganizer |
value | the value to set. | [nullable]

Since: 3.34

### e_cal_component_organizer_get_sentby ()

    const gchar *
    e_cal_component_organizer_get_sentby (const ECalComponentOrganizer *organizer);

#### Parameters

organizer | an ECalComponentOrganizer |

#### Returns

the `organizer` sentby parameter.

[nullable]

Since: 3.34

### e_cal_component_organizer_set_sentby ()

    void
    e_cal_component_organizer_set_sentby (ECalComponentOrganizer *organizer,
                                          const gchar *sentby);

Set the `organizer` sentby parameter. The `NULL` and empty strings are treated as unset the value.

#### Parameters

organizer | an ECalComponentOrganizer |
sentby | the value to set. | [nullable]

Since: 3.34

### e_cal_component_organizer_get_cn ()

    const gchar *
    e_cal_component_organizer_get_cn (const ECalComponentOrganizer *organizer);

#### Parameters

organizer | an ECalComponentOrganizer |

#### Returns

the `organizer` common name (cn) parameter.

[nullable]

Since: 3.34

### e_cal_component_organizer_set_cn ()

    void
    e_cal_component_organizer_set_cn (ECalComponentOrganizer *organizer,
                                      const gchar *cn);

Set the `organizer` common name (cn) parameter. The `NULL` and empty strings are treated as unset the value.

#### Parameters

organizer | an ECalComponentOrganizer |
cn | the value to set. | [nullable]

Since: 3.34

### e_cal_component_organizer_get_language ()

    const gchar *
    e_cal_component_organizer_get_language
                                   (const ECalComponentOrganizer *organizer);

#### Parameters

organizer | an ECalComponentOrganizer |

#### Returns

the `organizer` language parameter.

[nullable]

Since: 3.34

### e_cal_component_organizer_set_language ()

    void
    e_cal_component_organizer_set_language
                                   (ECalComponentOrganizer *organizer,
                                    const gchar *language);

Set the `organizer` language parameter. The `NULL` and empty strings are treated as unset the value.

#### Parameters

organizer | an ECalComponentOrganizer |
language | the value to set. | [nullable]

Since: 3.34

### e_cal_component_organizer_get_parameter_bag ()

    ECalComponentParameterBag *
    e_cal_component_organizer_get_parameter_bag
                                   (const ECalComponentOrganizer *organizer);

#### Parameters

organizer | an ECalComponentOrganizer |

#### Returns

an ECalComponentParameterBag with additional parameters stored with the organizer property, other than those accessible with the other functions of the `organizer` .

[transfer none]

Since: 3.34

## Types and Values

### ECalComponentOrganizer

    typedef struct _ECalComponentOrganizer ECalComponentOrganizer;

Describes an organizer. Use the functions below to work with it.